Subject: Re: IIGS Word Processors (Was Re: Apple II Celebration)
From: [email-masked]
Date: 7 May 1997 15:37:24 GMT
Newsgroups: comp.sys.apple2

"Joseph E. Walsh" <[email-masked]> wrote:
>First, let me note that I have Pointless 2.03, Harmonie (with the 56.6
>kbps printer port driver installed), and Express.  I have a DeskWriter 600
>and an ImageWriter II, but I'd like to be able to just use the
>DeskWriter for all my printing needs.
>
>I have 4 MB of RAM, a 100 MB HDD, and System 6.0.1.

It should work. :)

>Second, let me define my problem.  I'm a freelance writer, and my typical
>file size is in the 50 to 100K range.  My editor uses Word for Windows,
>which can import (among other things) ASCII and RTF format.  She doesn't
>like ASCII, though, primarily because Word for Windows, unlike
>WordPerfect for Windows, doesn't have an "Import ASCII with CR/LF to Soft
>Return" option.  Thus, each line ends up having a hard return at the end,
>which makes it very difficult to edit.  So far, she's been removing the
>hard returns by hand.  But, my goal is to find a word processor on the
>IIGS that: 1)I'm comfortable using, 2) has a spelling checker, 3) handles
>files in the 50 to 100K range, 3) is responsive and quick, 4) prints to
>my DeskWriter, and 6) exports to some format that allows Word for Windows
>to import it without hard returns at the end of every line (and which
>doesn't cause any other problems for my editor).

AppleWorks GS v1.1, with the help of EGOed to convert to RTF, does all
of the above except number 3.  It really needs an accelerator.  With one,
the AppleWorks GS word processor becomes much more usable.  When a Zip GS
or TransWarp GS is accelerated to 13-15MHz, AWGS actually becomes fast.
These accelerators are easy to upgrade, by the way.  Since you hacked
on your Atari for many years, you will have no problem speeding up your
accelerator board to these high speeds.  My own Zip GS was originally
7MHz, but I upgraded it myself.  Now it runs at 13.75MHz and at this
speed, the AWGS word processor is quite a bit faster than word processors
running on a 25MHz '486 PC (the other computer that I use).  I'll post
the upgrade procedure so that you can push your Zip to the maximum speed
after you get the board...very simple and rewarding and you don't even
need to solder.

>Now, on to the reviews:
>
>GraphicWriter III:  This is the first one I bought.  I did so because I
>knew of the RTF translator for GWIII, from EGO Systems.  I then found out
>about Pointless, Type West, and Type Set I and purchased them as well.
>When I received them, however, I found out that GWIII isn't very
>convenient to use as a word processor, and its maximum file size is 32K.
>Clearly, not the ideal for heavy-duty writing (I write an average of
>1,500 words per day, after my "real job").  So, I moved on.

Yep, it is a good page layout program, but it is not an ideal word
processor.

>WordPerfect GS 2.1:  This came with one of the computer systems I bought
>second-hand.  It's great for me, because its native file format imports
>into Word for Windows perfectly, all formatting intact.  And, its
>commands are familiar to me.  Unfortunately, its native format isn't one
>that the latest Word for Windows recognizes.  Also, it doesn't print to
>the DeskWriter, unless I find out the printer codes for it (more on that
>below).

The WPGS driver for the DeskJet 500 is floating around out there and,
with the help of the high speed port driver, it will work on the
DeskWriter 600.  No one seems to be willing to upload it, however.
What a shame.

>EGOed 2.0:  This is a really nifty NDA, and I'm definitely going to keep
>it.  It's the closest thing to a universal translator that exists for the
>IIGS, as far as I know.  Plus, as an NDA, I can run it from any desktop
>program, which is nice.  On the down side, it has no spelling checker,
>and it's very slooooowwww when large files are loaded.

The main thing that is lacking is the ability to _save_ as an AWGS file.
With that ability, you will have the translation ability you need.
Simply put, you can then use EGOed as the translator, AWGS<->RTF,
so that you can easily move back and forth between AWGS and Word for
Windows with formatting intact.

EGO Systems obviously knows the file format for AWGS word processor
data.  If they upgrade the program (or write a stand alone AWGS
export translator for GraphicWriter III), your problems will be solved.
You might want to send them a request for this feature to be added
to their next upgrade.  :)

>AppleWorks GS 1.1:  This program is fine, and really has everything I
>need except the ability to translate to RTF.  I could import RTF into
>EgoEd, then export to AppleWorks, import that into AppleWorks GS, add to
>the file, export to AWGS format, then import into EGOed, then export to
>RTF, and send it off to the editor for additional comments.  But, there
>are two problems with this: 1) That's a heck of a process to go through,
>and 2) (and this is a general problem I have with GS desktop word
>processors) the printing and display are problematic.  It's hard to read
>the display using the standardized format my collaborators and I have
>worked out (Courier 10 point, margins set at 1" and 7.5" - wouldn't want
>to put the typsetter out of a job by doing the formatting ourselves<Grin>).
>For printing, it takes a long time to build the image in memory and put
>it on the disk so Express can print it out.  I imagine this process of
>building the spool file will be much faster whenever I get the
>accelerator from EGO Systems, but that won't be for another couple of
>months at the least (he's waiting for 2 more orders before he places his
>order; who knows how long it'll be before he gets them - I'd order it
>elsewhere, but no one else I've found advertises the ZIP 8 MHz; alltech
>advertises the 7 MHz model).  So, for now, I need something that will
>build the spool file for a ~50K document rather quicker than the desktop
>programs do.

Joe, there is no difference between the 7MHz model sold by Alltech
and the 8MHz model sold by EGO Systems.  The dirty little secret is
that Western Design Center (the makers of the 65C816 CPU used in the
GS and the accelerators for it) no longer makes PLCC CPUs slower than
8MHz.  This means that Alltech's 7MHz Zip is underclocked.  All you
have to do is replace the 28MHz oscillator with a 32MHz one and
Alltech's model will run as fast as EGOs!  That's right, the oscillator
costs less than $2.  Often, you can get away with overclocking the
Zip CPU to 9MHz or even 10MHz with a 36MHz or 40MHz oscillator,
respectively.  It just takes a little experimentation and an oscillator
4x the speed you want the Zip to run.  But again, the 7MHz model will
almost surely run fine at 8MHz because its processor is actually an
underclocked 8MHz CPU.

Even better, with a few extra parts, you can make your Zip run at
13-15MHz!  It does not matter if you start with a 7MHz model or an
8MHz model.  I will post how to do this in a bit.

But to answer your question, at 13.75MHz, I find that the computer
prints the document fast enough that spooling is actually less
efficient.  Yes, the accelerator will help speed up rendering of the
program such that the printed page comes out many times faster.  So
much faster (with data going to the printer at 56kbps) that you don't
gain anything by waiting for Express to spool to disk.  You will
probably want to turn off Express to gain a few seconds in the
overall process once you are running your GS at high speeds.  :)
(In fact, I would recommend that you turn off spooling because Express
makes AWGS act funky after you spool a file.  Heck, when a Zipped GS
is running at 13-15MHz, what once took half an hour to print now takes
only a couple of minutes on the high speed serial DeskWriter, so
Express is superfluous.)

>AppleWorks 5.1:  What can I say?  I used AppleWorks 'way back when it
>first came out (my first time around with the Apple II), and I've always
>thought it was the best word processor ever.  I've never understood why
>WordPerfect insisted on using the non-intuitive Function keys, or why
>Word insisted on non-intuitive keys for the various functions.
>AppleWorks uses the first letter of the function you wish to perform, in
>most cases, as the Open Apple combination to press to get that feature.
>It just makes so much sense, I don't understand why none of the "biggies"
>did that.
>   Anyway, I sent my editor test documents in various formats from all of
>these editors, trying to find something that would work for both of us.
>It turns out that AppleWorks' Print to ASCII File creates a file that
>lacks the hard returns at the end of each line.  So, that problem was 
>solved.
>   AppleWorks 5.1 solves the problem of usability; even after all these
>years, I remember very well how to use this program.  The display is
>crips and clean, of course, and the program is very responsive.
>   The only problem is getting it to print to the DeskWriter.
>Fortunately, I found that the HP site has the codes for the DeskJet 600,
>which should be the same as those needed for the DeskWriter.  So,
>hopefully I'll be able to set AW to print to it later today.  I'll let
>you know how it goes.

AppleWorks Classic, I agree, is a very intuitive and easy to use
program, even if it does lack a GUI and the ability to use scalable
fonts.

If you are going to try to print to the DeskWriter with AppleWorks 5.1,
be sure to get a copy (freely available) of Sequential Systems'
speedport CDA that lets you print at 56kbps from ProDOS 8 programs
such as AW5.1.  They developed it for their MegaBuff product for
the ImageWriter II, so that you can spool at 56kbps to a 1MB IWII
from AppleWorks Classic, etc., but it works for the DeskWriter too.

The speedport drivers should be available on the ftp.hypermall.com
ftp site.

>Conclusion:  For the time being, I'll use AW 5.1.  If I can get it to
>work with the DeskWriter, so much the better.  If not, I'll have to hope
>the accellerator causes the spooling process to go faster, and move to
>AWGS.  AW5.1, since it uses what Harmonie calls External Rendering,
>prints plenty fast to the ImageWriter II; I just hope I can get it to do
>the same with the DeskWriter.

With a Zip GS, you will probably want to move to AWGS (especially,
but necessarily, if you end up modifying it to run at 13-15MHz).  :)

>> Conclusion:  For the time being, I'll use AW 5.1.  If I can get it to
>> work with the DeskWriter, so much the better.  If not, I'll have to hope
>
>I'm sorry for responding to my own post, but I couldn't let that
>boneheaded line go without retraction. :)  Of course, the DW 600 doesn't
>work with AW 5.1, because AW 5.1 doesn't use the speedy printer port
>driver...

You were right the first time. :)  The DW600 _will_ work with AW 5.1.
You just need the special CDA based 56kbps "speedport" CDA that
Sequential Systems wrote for their MegaBuff peripheral.  It should
still be on their ftp site (ftp.hypermall.com).

Good luck on getting your ideal word processing and printer setup
working.  Keep us apprised!  :)

Here's the procedure for upgrading a Zip GS to run at up to 13-15MHz:
(you should have no trouble finding the components from your
previous experience with computers and the Zip GS documentation)
_________________________________________________________

Joe, I am positive that the 14MHz upgrade would help.

Nathan Mates also has a FAQ on this procedure, but its sources
(as of March 1997) are a bit dated and its procedure is more
complicated.  Nate's accelerator FAQ is somewhat convoluted
in this, but don't let that fool you.  Reading Nate's FAQ makes
it seem like you MUST solder the Zip if you want to get it going
fast, but I upgraded by other methods.  The process is very
simple.

Alltech Electronics stocks the WDC65C816-14MHz for $20.  You need
one of this part.  Alltech's web site is http://www.allelec.com/

Digi-Key stocks 0.3mil to 0.6mil adapter sockets for about $7 each.
The ones you want are part number A502-ND.  You can plug a 28 pin
SRAM into the 0.3mil socket and the socket in turn plugs into the
0.6mil socket on the Zip.  Digi-Key web site http://www.digikey.com/
(If you have some spare sockets lying around, you can build your
own cheap, but that's another story.)

JDR Microdevices is a good source of SRAMs.  You'll want 15ns in tag
(HM62832-15, $5 each) and, usually, you can transfer your original tag
chips to the data sockets.  JDR's web site is http://www.jdr.com/

A full size oscillator.  Both Digi-Key and JDR has these.  Divide
oscillator speed by four to get Zip speed.  JDR has the OSC50.0
(50MHz oscillator), which will make a 12.5MHz Zip.  Digi-Key has
faster parts.

Now Nate's FAQ says that you need to replace the 74F00 with 74HC00.
I did NOT have to do this to get it running at 13.75MHz.

Also, it is possible to use your original tag chips in the data
sockets.  Data should always be slower than tag.  Barry Rees posted
his experiences on this matter (that data should be significantly
slower than tag) and I found that the original tag chips were in
the right speed range.  So, you just take out your original data
chips and put them aside.  Remove your tag chips and plug them into
the data sockets.  Plug your new 15ns chips into the Digi-Key
adapters and plug the adapters into the tag sockets of the Zip.
Install the new CPU and oscillator.  That's it, done completely
without soldering.

[Update: Matt wrote that when he upgraded his Zip to 15MHz, he was
able to change _both_ TAG and DATA SRAMs to 15ns ones.  He also
did not have to change the 74F00 (when he tried to change it, the
Zip would crash).  On the other hand, the NinjaForce folks made
their Zip run at 12MHz with 70ns SRAMs in DATA and 15ns in TAG
(both of which could be found at JDR Microdevices http://www.jdr.com/)
and they did change to a 74F00.  As you can see, each Zip is
different and may need slightly different treatment, but all Zips
can be upgraded.]

I recommend you start off with the procedure I outlined first
(14MHz 65C816, original TAG chips moved to DATA sockets, 0.3mil to
0.6mil adapters in the TAG sockets and 15ns 0.3mil SRAMs in the
adapters, and a 50MHz oscillator from JDR to try 12.5MHz first).  If
this fails, try adjusting the DIP switch settings by moving the
settings from reading 64K of cache to 32K of cache, then if that
doesn't work, changing them to read 16K of cache, and if all
else fails (highly unlikely), to 8K of cache.  Note, the settings
don't have to match what cache you really have.  When you have
64K of cache, you can set the Zip GS to use less of the memory
with the same chips installed.  Only if everything stabilizes
do you want to try going up to higher speeds (above 12.5MHz with a
faster oscillator).  I found the stable combination of CPU speed
and cache size to be 13.75MHz and 16K of cache.  At this speed,
AWGS is running much faster than Microsoft Works on a 25MHz '486
and is a joy to use.

(I'm in the process of making a HyperCard IIGS stack that
illustrates the Zip upgrade process, but it is not yet completed.)

-Scott G.